Package com.enonic.xp.site

## Class Site

- java.lang.Object
- - com.enonic.xp.content.Content
  - - com.enonic.xp.site.Site

-     @PublicApi
      public final class Site
      extends Content

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Site.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Site.Builder` | `create()` |
    `static Site.Builder` | `create​(Site source)` |
    `boolean` | `equals​(Object o)` |
    `String` | `getDescription()` |
    `PropertyTree` | `getSiteConfig​(ApplicationKey applicationKey)` | Deprecated.
    `SiteConfigs` | `getSiteConfigs()` |

    - ### Methods inherited from class com.enonic.xp.content.Content

      `create, create, getAllExtraData, getArchivedBy, getArchivedTime, getAttachments, getChildOrder, getContentState, getCreatedTime, getCreator, getData, getDisplayName, getId, getInherit, getLanguage, getManualOrderValue, getModifiedTime, getModifier, getName, getOriginalName, getOriginalParentPath, getOriginProject, getOwner, getPage, getParentPath, getPath, getPermissions, getProcessedReferences, getPublishInfo, getThumbnail, getType, getValidationErrors, getVariantOf, getWorkflowInfo, hasChildren, hasExtraData, hashCode, hasPage, hasThumbnail, inheritsPermissions, isPageTemplate, isRoot, isSite, isValid`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDescription

          public String getDescription()

    - #### getSiteConfig

          @Deprecated
          public PropertyTree getSiteConfig​(ApplicationKey applicationKey)

      Deprecated.

    - #### getSiteConfigs

          public SiteConfigs getSiteConfigs()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Content`

    - #### create

          public static Site.Builder create()

    - #### create

          public static Site.Builder create​(Site source)